Subject: Fwd: Announcement of AgentX++

From: Randy Presuhn <[email-masked]>
Date: Wed, 30 Aug 2000 15:23:43 -0700 (PDT)

Hi -

I'm forwarding a non-subscriber post.  (Frank keeps finding
providers that bounce mail from this list.  I hope this one
is better.  :-)

 -------------------------------------------------------
 Randy Presuhn           [email-masked]
 Voice: +1 408 546-1006  BMC Software, Inc.  1-3141
 Fax:   +1 408 965-0359  2141 North First Street
 http://www.bmc.com/     San José, California 95131  USA
 -------------------------------------------------------
 My opinions and BMC's are independent variables.
 -------------------------------------------------------

> Received: from tattler.bmc.com (tattler.bmc.com [172.17.0.117])
> 	by dorothy.bmc.com (8.8.6 (PHNE_12836)/8.8.6) with ESMTP id PAA09423
> 	for <[email-masked]>; Wed, 30 Aug 2000 15:10:24 -0700 (PDT)
> Received: from fw-us-hou1.bmc.com (localhost [127.0.0.1])
> 	by tattler.bmc.com (8.10.2/8.8.6) with SMTP id e7UMATT22115
> 	for <[email-masked]>; Wed, 30 Aug 2000 17:10:29 -0500 (CDT)
> Received: from fwd05.sul.t-online.com 
> 	by mailout03.sul.t-online.com with smtp 
> 	id 13UG4b-0001SD-03; Thu, 31 Aug 2000 00:11:09 +0200
> Received: from fock.de (320061250925-0001@[62.224.96.23]) by fwd05.sul.t-online.com
> 	with esmtp id 13UG4X-0Iq7l2C; Thu, 31 Aug 2000 00:11:05 +0200
> Message-ID: <[email-masked]>
> Date: Thu, 31 Aug 2000 00:12:21 +0200
> From: [email-masked] (Frank Fock)
> X-Mailer: Mozilla 4.5 [en] (WinNT; I)
> X-Accept-Language: en
> MIME-Version: 1.0
> To: [email-masked]
> Subject: Announcement of AgentX++
> Content-Type: text/plain; charset=us-ascii
> Content-Transfer-Encoding: 7bit
> X-Sender: [email-masked]
> 
> Hi,
> 
> I would like to announce the final beta release of
> AgentX++, the AgentX protocol implementation for
> AGENT++. It can be downloaded from:
> http://www.fock.de/agent++
> 
> AgentX++ v1.0 will be released during September.
> 
> AgentX++ v1.0 final beta has the following features:
> 
> * C++ API based on AGENT++/SNMP++ that
>    supports AgentX master and subagents.
> 
> * Supports SNMPv1/v2c/v3 and the following
>    operating systems:
>    Solaris 7/8, Linux, Windows NT/2000
> 
> * Free for non-commercial use.
> 
> * Supports all AgentX features including:
> 
>    - UNIX domain socket connections on UNIX
>       systems and TCP connections on UNIX and
>       Windows NT
>    - non-default contexts
>    - shared tables
>    - uses AgentX GETBULK
>    - AgentX request timeout handling
>    - AgentX MIB
>    - atomic SET requests
> 
> * Existing AGENT++ agents may be migrated to
>    an AgentX master or subagent without changing
>    the management instrumentation.
> 
> Any comments, suggestions, and bug reports are
> highly appreciated.
> 
> Regards,
> Frank Fock
> 
>